Summary:        XCB protocol descriptions
Name:           xcb-proto
Version:        1.16.0
Release:        1%{?dist}
License:        MIT
URL:            https://xcb.freedesktop.org/
Source0:        https://xorg.freedesktop.org/archive/individual/proto/%{name}-%{version}.tar.xz
BuildRequires:  libxml2, make, python3-devel

BuildArch:      noarch

%description
XCB is a project to enable efficient language bindings to the X11 protocol.
This package contains the protocol descriptions themselves.  Language
bindings use these protocol descriptions to generate code for marshalling
the protocol.



%prep
%autosetup -p1



%build
%configure --libdir=%{_datadir}
%make_build



%install
%make_install



%check
%make_build check



%files
%license COPYING
%doc NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen



%changelog
* Fri Dec 22 2023 Upgrade Robot <upbot@opencloudos.org> - 1.16.0-1
- Upgrade to version 1.16.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.14.1-1
- Initial
